.loaderOverlay {
    position: fixed;
    z-index: 9999;
    width: 100%;
    height: 100%;
    display: flex;
    flex: 1;
    align-items: center;
    justify-content: center;
    background-color: rgba(233, 230, 230, 0.7);
}

.loader {
    position: relative;
    margin: 0px auto;
    width: 80px;
  }
  .loader:before {
    content: '';
    display: block;
    padding-top: 100%;
  }
  .circular {
    -webkit-animation: rotate 2s linear infinite;
    animation: rotate 2s linear infinite;
    height: 100%;
    -webkit-transform-origin: center center;
    -ms-transform-origin: center center;
    transform-origin: center center;
    width: 100%;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
  }
  .path {
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
    -webkit-animation: dash 2.0s ease infinite;
    animation: dash 2.0s ease infinite;
    stroke: black;
    stroke-linecap: round;
  }

  @-webkit-keyframes 
  rotate {  100% {
   -webkit-transform: rotate(360deg);
   transform: rotate(360deg);
  }
  }
  @keyframes 
  rotate {  100% {
   -webkit-transform: rotate(360deg);
   transform: rotate(360deg);
  }
  }
  @-webkit-keyframes 
  dash {  0% {
   stroke-dasharray: 1, 200;
   stroke-dashoffset: 0;
  }
   50% {
   stroke-dasharray: 89, 200;
   stroke-dashoffset: -35;
  }
   100% {
   stroke-dasharray: 89, 200;
   stroke-dashoffset: -124;
  }
  }
  @keyframes 
  dash {  0% {
   stroke-dasharray: 1, 200;
   stroke-dashoffset: 0;
  }
   50% {
   stroke-dasharray: 89, 200;
   stroke-dashoffset: -35;
  }
   100% {
   stroke-dasharray: 89, 200;
   stroke-dashoffset: -124;
  }
  }
